Summary: Checks to see if files have changed on your system.
Name: tripwire
Version: 1.2
Release: 3
Source: ftp://ftp.cert.org/pub/tools/tripwire/tripwire-1.2.tar.Z
Source2: tripwire.verify
Patch0: tripwire-1.2-rhlinux.patch
Patch1: tripwire-1.2-security.patch
Copyright: BSD
Group: Applications/System
BuildRoot: /var/tmp/tripwire-root
ExclusiveArch: i386 sparc

%description
Tripwire is a very valuable security tool for Linux systems, if it is
installed to a clean system.  Tripwire should be installed right after
the OS installation, and before you have connected your system to a
network (i.e., before any possibility exists that someone could alter
files on your system).

When Tripwire is initially set up, it creates a database that records
certain file information.  Then when it is run, it compares a designated
set of files and directories to the information stored in the database.
Added or deleted files are flagged and reported, as are any files that
have changed from their previously recorded state in the database.  When
Tripwire is run against system files on a regular basis, any file changes
will be spotted when Tripwire is run.  Tripwire will report the changes,
which will give system administrators a clue that they need to enact
damage control measures immediately if certain files have been altered.

Extra-paranoid Tripwire users will set it up to run once a week and email
the results to themselves.  Then if the emails stop coming, you'll know
someone has gotten to the Tripwire program...

%prep
%setup -q -c
tar -C .. -xf T1.2.tar
%patch0 -p1 -b .sopwith
%patch1 -p1 -b .mike

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ggdb"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin 
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 
mkdir -p $RPM_BUILD_ROOT/usr/man/man5 
mkdir -p $RPM_BUILD_ROOT/usr/man/man8 
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily 
mkdir -p $RPM_BUILD_ROOT/var/spool/tripwire

make TOPDIR="$RPM_BUILD_ROOT" install

install -m 600 lib/tw.config $RPM_BUILD_ROOT/etc/tw.config
install -m 700 $RPM_SOURCE_DIR/tripwire.verify $RPM_BUILD_ROOT/etc/cron.daily

chmod 700 $RPM_BUILD_ROOT/var/spool/tripwire
chmod 700 $RPM_BUILD_ROOT/usr/sbin/*

chmod -R 644 FAQ Changelog INTERNALS README README.FIRST Readme 
chmod -R 644 TODO WHATSNEW docs/*
chmod 755 docs

%post
cd /var/spool/tripwire
(/usr/sbin/tripwire -initialize 2>&1 | \
 /bin/mail -s "Tripwire initialization report" root ) \
 && mv databases/tw.db_* . && rm -rf databases &

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ Changelog INTERNALS README README.FIRST Readme TODO WHATSNEW docs
%dir /var/spool/tripwire
%config /etc/tw.config
%config /etc/cron.daily/tripwire.verify
/usr/sbin/tripwire
/usr/sbin/siggen
/usr/man/man5/tw.config.5
/usr/man/man8/tripwire.8
/usr/man/man8/siggen.8

%changelog
* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- added security patch for bug #693

* Thu Sep 10 1998 Michael Maher <mike@redhat.com>
- built package from elliot's
